<!-- Style "layout/sidebar.scss" -->

<nav class="sidebar navbar">
    <!-- -------------------------------------------
        Toggle mobile not put in other place
        Modify "sidebar.scss" to do it
    ------------------------------------------------->
    <a class="toggle-mobile d-md-none" (click)="toggleSidebar.emit()">
        <i class="mdi mdi-chevron-double-right"></i>
    </a>
    <!-- ---------------------------------------------- -->
    <a class="navbar-brand">
        <img src="assets/img/icon/brand.jpg" alt="logo-app" width="25">
    </a>
    <ul class="navbar-nav">
        <ng-template ngFor [ngForOf]="menuItems" let-item>
            <li class="nav-item" [ngClass]="[item.class]" (click)="configPanel(item, item.title)">
                <!--*ngIf="showItem(item)"-->
                <a class="nav-link" [ngbTooltip]="item.title" placement="right">
                    <i [ngClass]="[item.icon]" [class.active]="item.active"></i>
                </a>
            </li>
        </ng-template>
    </ul>
    <ul class="nav mt-auto w-100">
        <li class="nav-item w-100 py-2 power" ngbTooltip="Salir" placement="right"
            (click)="service.logout()">
            <a class="nav-link text-center">
                <i class="mdi mdi-power mdi-24px"></i>
            </a>
        </li>
    </ul>

    <!---------------------------------------------- 
        Panel - Show submenu items and others detail
     ----------------------------------------------->
     <app-panel [items]="subMenuItems" [panelTitle]="panelTitle" (changes)="onPanelAction()"
        (close)="hideSidebar()"></app-panel>

</nav>

